OVIRO LogoOVIRO
Quản lý nhóm sản phẩmBộ lọc sản phẩm

Cập nhật bộ lọc

Cập nhật thông tin một bộ lọc

Endpoint

PUT /v1/productfilters/:id

Quyền: setting.cms

Request Body

TrườngKiểuBắt buộcMô tả
company_idintID công ty
creator_idintID người thao tác
labelstringKhôngNhãn hiển thị
typeintLoại bộ lọc
styleintKiểu hiển thị
object_idintKhôngID tham chiếu
limit_selectionintKhôngGiới hạn số lượng
selection_detailarrayKhôngCấu hình chi tiết
display_orderfloatKhôngThứ tự hiển thị

Lưu ý: group_id KHÔNG thể thay đổi khi edit (chỉ gán khi tạo).

Ví dụ JSON

{
    "company_id": 1,
    "creator_id": 10,
    "label": "Màu sắc cập nhật",
    "type": 3,
    "style": 9,
    "object_id": 5,
    "limit_selection": 10,
    "selection_detail": [],
    "display_order": 3
}

Response Schema

HTTP 200 - OK

Trả về ProductFilter Object sau khi cập nhật.

Error Codes

Lỗi dữ liệu đầu vào. Trả về mảng các mã lỗi:

Mã lỗiMô tả
error_company_id_requiredID công ty không được để trống
error_company_id_notfoundID công ty không tìm thấy
error_user1_id_requiredID người tạo không được để trống
error_user_id_notfoundID người tạo không tìm thấy

On this page